if IsAddOnLoaded("TrinityBars2") then

    TrinityBars2_OnEvent_Hook = TrinityBars2.ActionButton_OnEvent

    local function TrinityBars2_Buttons_UpdateCountList(add)
    
        local i = 1
        
        -- use of the _G table to account for unlimited buttons in TB2
        while _G["TrinityActionButton"..i] do        
        
            local frame = getglobal("TrinityActionButton"..i.."Count")
            if frame then
                add(frame, "action", i)
            end
            
            i = i + 1
        end        
    end
    
    function ltc:TrinityBars2_OnEvent_Hook(button)
        self.hooks.TrinityBars2_OnEvent_Hook(button)

        local frame = getglobal(button:GetName().."Count")
        local info = self:GetCountList()[frame]
        if info then
            self:UpdateCount (frame, info)
        end
    end
    
    ltc:Hook("TrinityBars2_OnEvent_Hook", true)

    ltc:RegisterPlugin(TrinityBars2_Buttons_UpdateCountList)
end
